Bug 121709 - yum offers to do nothing when exactarch=1
yum offers to do nothing when exactarch=1
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-26 11:07 EDT by Sitsofe Wheeler
Modified: 2014-01-21 17:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-09 22:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum -d 6 update output (153.25 KB, text/plain)
2004-04-26 14:48 EDT, Sitsofe Wheeler
no flags Details

  None (edit)
Description Sitsofe Wheeler 2004-04-26 11:07:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.6)
Gecko/20040225 Firefox/0.8

Description of problem:
We have an i686 machine here that for whatever reason has had i586
kernels installed on it. Up until now yum has been updating these
kernels without complaint. However, with the latest kernel update out
yum has now started to offer to do nothing.



Version-Release number of selected component (if applicable):
yum-2.0.5-1

How reproducible:
Always

Steps to Reproduce:
1. Type "yum update"    

Actual Results:  Gathering header information file(s) from server(s)
Server: Fedora Core 1 - i386 - Base
Server: Fedora Core 1 - i386 - Released Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
Dependencies resolved
I will do the following:
Is this ok [y/N]: 

Expected Results:
Yum to offer to install kernel 2.4.22-1.2188.nptl.i586

Additional info:
Yum offers to install kernel 2.4.22-1.2188.nptl.i686 if exactarch is
set to 0 in /etc/yum.conf

uname -a produces the following:
Linux cobalt.sucs.org 2.4.22-1.2174.nptl #1 Wed Feb 18 14:02:36 EST
2004 i686 i686 i386 GNU/Linux

cat /proc/cpuinfo reports
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 5
model name      : Pentium II (Deschutes)
stepping        : 2
cpu MHz         : 349.967

grep kernel /var/log/yum.log produces:
12/15/03 00:32:43 Installed: kernel 2.4.22-1.2129.nptl.i586
01/30/04 18:16:26 Installed: kernel 2.4.22-1.2149.nptl.i586
02/12/04 14:14:51 Installed: kernel 2.4.22-1.2166.nptl.i586
02/19/04 10:31:51 Installed: kernel 2.4.22-1.2174.nptl.i586

Now it's another question as to why only an i586 kernel ended up on an
i686 machine but yum should not have refused to fetch an i586 kernel
and had been doing well in the past. Due to this the machine failed to
be updated properly and could become a security problem.
Comment 1 Seth Vidal 2004-04-26 11:13:51 EDT
what's your debug level set to in yum.conf?

or are you setting it on the command line?
Comment 2 Sitsofe Wheeler 2004-04-26 12:25:30 EDT
From /etc/yum.conf
debuglevel=2
Comment 3 Seth Vidal 2004-04-26 12:58:02 EDT
run yum -d 6 update and send the output here.

How did this machine originally get installed? Via anaconda or an
upgrade? What kernel arch did anaconda originally put on it?
Comment 4 Sitsofe Wheeler 2004-04-26 14:48:18 EDT
Created attachment 99693 [details]
yum -d 6 update output

Find the yum output attached

AFAIK this machine started out as a RedHat 9 + Ximian updates install and was
taken kicking and screaming via up2date to Fedora Core 1.
Comment 5 Sitsofe Wheeler 2004-04-26 14:52:29 EDT
To clarify a little, this machine was originally installed via the
RedHat 9 anaconda and may have had a short stint being updated by
Ximian's Red Carpet. It then had all traces of Ximian packaging
removed and was upgraded using up2date to Fedora Core 1. I do not know
how to find out what kernel arch anaconda originally put on it - I'm
guessing i686 and at some later point during the up2date to FC1
someone munged an i586 kernel on but this is a blind guess.
Comment 6 Sitsofe Wheeler 2004-04-26 14:59:28 EDT
I found this within an old /var/log/rpmpkgs.4 file:
kernel-2.4.20-20.9.i586.rpm

so we can conclude that the i586 kernel was on the system before it
was upgraded to FC1 (unfortunately that doesn't tell us what anaconda
originally had on there since anaconda wouldn't have had that RPM
available to it at CD creation time).
Comment 7 Seth Vidal 2004-04-26 15:09:43 EDT
ugh - so this machine has i686 and i586 kernels installed or more to
the point it IS an i686 with i586 kernels installed.

pain - ok  I 'll look at the debug and see what I can find.
Comment 8 Jeff Johnson 2004-06-09 22:03:43 EDT
Check /etc/rpm/platform and make sure that you have
i686, not i586, there.

On a i686, /etc/rpm/platform should contain:
    i686-redhat-linux
Comment 9 Sitsofe Wheeler 2004-06-10 03:22:50 EDT
There is no /etc/rpm/platform file.

I'm not sure that WORKSFORME is the correct solution for this. If yum
had *not* offered to do anything I don't think I would have a bug.
Jeff, you do not say whether you have tried to reproduce the bug from
my steps above. If you really don't want to fix this then it should be
resolved NOTABUG or WONTFIX rather than WORKSFORME...

yum used to cope with this situation and now does not so the behaviour
has changed. Plus, an i586 kernel SHOULD work on an i686 so if the
user has such a set up for whatever reason then why does it hurt to
keep it up to date? Offering to do something then doing nothing is
wrong. Sure the circumstances giving rise to this are weird but that
doesn't excuse the behviour.

Note You need to log in before you can comment on or make changes to this bug.